Skip to content

Execute a reporting query (plain ReportRequest).

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
reportstring
reportingEnginestring
timeFieldstring
startTimeinteger, (int64)
endTimeinteger, (int64)
timeZonestring
pageinteger, (int32)
pageSizeinteger, (int32)
filtersArray of objects(Filter_reporting)
groupBysArray of objects(Group_reporting)
projectionsArray of objects(Projection_reporting)
projectionDecorationsArray of strings
projectionFiltersArray of objects(Filter_reporting)
sortsArray of objects(Sort_reporting)
streamRequestInfoobject(ExternalStreamRequestInfo)
additionalobject
skipResolveboolean
jsonResponseboolean
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reports/query \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "report": "string",
    "reportingEngine": "string",
    "timeField": "string",
    "startTime": 0,
    "endTime": 0,
    "timeZone": "string",
    "page": 0,
    "pageSize": 0,
    "filters": [
      {
        "dimensionName": "string",
        "filterType": "string",
        "values": [
          {}
        ],
        "details": {
          "property1": {},
          "property2": {}
        }
      }
    ],
    "groupBys": [
      {
        "heading": "string",
        "dimensionName": "string",
        "groupType": "string",
        "details": {
          "property1": {},
          "property2": {}
        },
        "namedFilters": {
          "property1": [
            {
              "dimensionName": "string",
              "filterType": "string",
              "values": [
                {}
              ],
              "details": {
                "property1": {},
                "property2": {}
              }
            }
          ],
          "property2": [
            {
              "dimensionName": "string",
              "filterType": "string",
              "values": [
                {}
              ],
              "details": {
                "property1": {},
                "property2": {}
              }
            }
          ]
        }
      }
    ],
    "projections": [
      {
        "heading": "string",
        "measurementName": "string",
        "aggregateFunction": "string",
        "details": {
          "property1": {},
          "property2": {}
        }
      }
    ],
    "projectionDecorations": [
      "string"
    ],
    "projectionFilters": [
      {
        "dimensionName": "string",
        "filterType": "string",
        "values": [
          {}
        ],
        "details": {
          "property1": {},
          "property2": {}
        }
      }
    ],
    "sorts": [
      {
        "heading": "string",
        "order": "string"
      }
    ],
    "streamRequestInfo": {
      "streamFields": [
        {}
      ],
      "name": "string",
      "childName": "string",
      "details": {
        "property1": {},
        "property2": {}
      }
    },
    "additional": {
      "property1": "string",
      "property2": "string"
    },
    "skipResolve": true,
    "jsonResponse": true
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }